#include "hal_data.h"

FSP_CPP_HEADER
void R_BSP_WarmStart(bsp_warm_start_event_t event);
FSP_CPP_FOOTER

i2c_master_event_t master_flag;
i2c_slave_event_t slave_flag;
unsigned char read_data[3]= {0x0} ;
unsigned char write_data[3]= {0x01,0x02,0x03} ;
/* Callback function */
void IIC_master_callback(i2c_master_callback_args_t *p_args)
{
    /* TODO: add your own code here */
//    if(p_args->event == I2C_MASTER_EVENT_RX_COMPLETE)
//    {
//        master_flag = I2C_MASTER_EVENT_RX_COMPLETE;
//        APP_PRINT("%d \r\n",read_data[0]);
//    }
//    else
//    {
//        master_flag = I2C_MASTER_EVENT_ABORTED;
//        APP_PRINT("No receive");
//    }
}

/* Callback function */
void IIC_slave_callback(i2c_slave_callback_args_t *p_args)
{
    /* TODO: add your own code here */
//    if(p_args->event == I2C_SLAVE_EVENT_TX_REQUEST)//主机读触发I2C_SLAVE_EVENT_TX_REQUEST
//    {
//        R_IIC_SLAVE_Write(&g_i2c_slave0_ctrl, write_data, 3);
//    }

}


/*******************************************************************************************************************//**
 * main() is generated by the RA Configuration editor and is used to generate threads if an RTOS is used.  This function
 * is called by main() when no RTOS is used.
 **********************************************************************************************************************/
void hal_entry(void)
{
    /* TODO: add your own code here */
    R_IIC_MASTER_Open(&g_i2c_master0_ctrl, &g_i2c_master0_cfg);
//    R_IIC_SLAVE_Open(&g_i2c_slave0_ctrl, &g_i2c_slave0_cfg);


    while(1)
    {
        R_BSP_SoftwareDelay(1, BSP_DELAY_UNITS_MILLISECONDS);

        R_IIC_MASTER_Read(&g_i2c_master0_ctrl, read_data, 3, false);
    }
#if BSP_TZ_SECURE_BUILD
    /* Enter non-secure code */
    R_BSP_NonSecureEnter();
#endif
}

/*******************************************************************************************************************//**
 * This function is called at various points during the startup process.  This implementation uses the event that is
 * called right before main() to set up the pins.
 *
 * @param[in]  event    Where at in the start up process the code is currently at
 **********************************************************************************************************************/
void R_BSP_WarmStart(bsp_warm_start_event_t event)
{
    if (BSP_WARM_START_RESET == event)
    {
#if BSP_FEATURE_FLASH_LP_VERSION != 0

        /* Enable reading from data flash. */
        R_FACI_LP->DFLCTL = 1U;

        /* Would normally have to wait tDSTOP(6us) for data flash recovery. Placing the enable here, before clock and
         * C runtime initialization, should negate the need for a delay since the initialization will typically take more than 6us. */
#endif
    }

    if (BSP_WARM_START_POST_C == event)
    {
        /* C runtime environment and system clocks are setup. */

        /* Configure pins. */
        R_IOPORT_Open (&g_ioport_ctrl, g_ioport.p_cfg);
    }
}

#if BSP_TZ_SECURE_BUILD

BSP_CMSE_NONSECURE_ENTRY void template_nonsecure_callable ();

/* Trustzone Secure Projects require at least one nonsecure callable function in order to build (Remove this if it is not required to build). */
BSP_CMSE_NONSECURE_ENTRY void template_nonsecure_callable ()
{

}
#endif
